# MatSetUpPreallocation

ollective on Mat

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatSetUpPreallocation(Mat B)

### Input Parameter

A -the matrix

### Keywords

matrix, create

### See Also

MatCreateSeqAIJ((), MatCreateMPIAIJ(),
MatCreateSeqBDiag(),MatCreateMPIBDiag(), MatCreateSeqDense(), MatCreateMPIDense(), MatCreateMPIRowbs(), MatCreateSeqBAIJ(), MatCreateMPIBAIJ(), MatCreateSeqSBAIJ(), MatCreateMPISBAIJ(), MatConvert()

Level:beginner
Location: src/mat/utils/gcreate.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages